
#include "LoadingScreen/Public/LoadingScreen.h"

#include "Slate.h"
#include "Runtime/MoviePlayer/Public/MoviePlayer.h"

class FLoadingScreenModule : public ILoadingScreenModule
{
public:


	virtual bool IsGameModule() const OVERRIDE
	{
		  return true;
	}

	virtual void StartIntro() OVERRIDE
	{
		UE_LOG(LogScript, Warning, TEXT("Intro"));
		FLoadingScreenAttributes LScreen;
		LScreen.bAutoCompleteWhenLoadingCompletes = false;
		LScreen.MoviePaths.Add(TEXT("LoadingScreen"));
		GetMoviePlayer()->SetupLoadingScreen(LScreen);

		GetMoviePlayer()->PlayMovie();
	}
};

IMPLEMENT_GAME_MODULE(FLoadingScreenModule, LoadingScreen)